Subject: Re: bug#70449: 30.0.50; Can't save .zip archive in TRAMP

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2024 17:27:37 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Apr 2024 14:42:46 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> Hi Eli,
> 
> > My first guess is that the error comes from with-current-buffer:
> >
> >   (defun archive--with-ensure-extension (archive proc-fn)
> >     (let ((saved default-directory))
> >       (with-current-buffer (find-buffer-visiting archive)
> >
> > which probably means find-buffer-visiting returns nil, because we are
> > using a local copy or something.
> 
> Yes, that's the culprit. But I don't see a simple fix I could apply with
> my limited (say: non-existent) knowledge about arc-mode.el.

I think we need to understand why find-buffer-visiting returns nil in
this case, and fix that.